uses
  dfilereader,
  dswf;

const
  FILENAME = 'test.swf';

var
  Data: Pointer;
  DataLen: SizeUint;

begin
  if not ReadFileContent(FILENAME, 0, PAnsiChar(Data), DataLen) then begin
    Writeln(stderr, 'Could not open ', FILENAME);
    Halt(1);
  end;
  if not SwfLoad(Data, DataLen) then begin
    Writeln(stderr, 'Failed parsing ', FILENAME);
    Halt(1);
  end;
end.
